// @HEADER
// *****************************************************************************
//    Thyra: Interfaces and Support for Abstract Numerical Algorithms
//
// Copyright 2004 NTESS and the Thyra contributors.
// SPDX-License-Identifier: BSD-3-Clause
// *****************************************************************************
// @HEADER

#ifndef THYRA_OPERATOR_VECTOR_CLIENT_SUUPPORT_HPP
#define THYRA_OPERATOR_VECTOR_CLIENT_SUUPPORT_HPP

#include "Thyra_AssertOp.hpp"
#include "Thyra_DefaultAddedLinearOp.hpp"
#include "Thyra_DefaultBlockedLinearOp.hpp"
#include "Thyra_DefaultColumnwiseMultiVector.hpp"
#include "Thyra_DefaultDiagonalLinearOp.hpp"
#include "Thyra_DefaultIdentityLinearOp.hpp"
#include "Thyra_DefaultMultipliedLinearOp.hpp"
#include "Thyra_DefaultMultiVectorProductVector.hpp"
#include "Thyra_DefaultMultiVectorProductVectorSpace.hpp"
#include "Thyra_DefaultProductMultiVector.hpp"
#include "Thyra_DefaultProductVector.hpp"
#include "Thyra_DefaultProductVectorSpace.hpp"
#include "Thyra_DefaultScaledAdjointLinearOp.hpp"
#include "Thyra_DefaultZeroLinearOp.hpp"
#include "Thyra_describeLinearOp.hpp"
#include "Thyra_DetachedMultiVectorView.hpp"
#include "Thyra_DetachedVectorView.hpp"
#include "Thyra_LinearOpDefaultBase.hpp"
#include "Thyra_LinearOpTester.hpp"
#include "Thyra_ListedMultiVectorRandomizer.hpp"
#include "Thyra_MultiVectorAllocator.hpp"
#include "Thyra_MultiVectorDefaultBase.hpp"
#include "Thyra_MultiVectorStdOps.hpp"
#include "Thyra_MultiVectorStdOpsTester.hpp"
#include "Thyra_MultiVectorTester.hpp"
#include "Thyra_ParameterDrivenMultiVectorInput.hpp"
#include "Thyra_TestingTools.hpp"
#include "Thyra_UniversalMultiVectorRandomizer.hpp"
#include "Thyra_VectorDefaultBase.hpp"
#include "Thyra_VectorSpaceDefaultBase.hpp"
#include "Thyra_VectorSpaceTester.hpp"
#include "Thyra_VectorStdOps.hpp"
#include "Thyra_VectorStdOpsTester.hpp"
#include "Thyra_VectorTester.hpp"

#endif	// THYRA_OPERATOR_VECTOR_CLIENT_SUUPPORT_HPP
