# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/Intrepid2 clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "Intrepid2 requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/Intrepid2 build
## ---------------------------------------------------------------------------

set(Intrepid2_CXX_COMPILER "/usr/bin/c++")

set(Intrepid2_C_COMPILER "/usr/bin/cc")

set(Intrepid2_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(Intrepid2_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/Intrepid2 build
## ---------------------------------------------------------------------------

## Give the build type
set(Intrepid2_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(Intrepid2_CXX_FLAGS [[ ]])

set(Intrepid2_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(Intrepid2_Fortran_FLAGS [[ ]])
# Deprecated
set(Intrepid2_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(Intrepid2_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(Intrepid2_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(Intrepid2_BUILD_SHARED_LIBS "ON")

set(Intrepid2_LINKER /usr/bin/ld.lld)
set(Intrepid2_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(Intrepid2_INSTALL_DIR "/usr/local")

## List of package libraries
set(Intrepid2_LIBRARIES Intrepid2::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(Intrepid2_MPI_LIBRARIES "")
set(Intrepid2_MPI_LIBRARY_DIRS "")
set(Intrepid2_MPI_INCLUDE_DIRS "")
set(Intrepid2_MPI_EXEC "")
set(Intrepid2_MPI_EXEC_MAX_NUMPROCS "")
set(Intrepid2_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(Intrepid2_ENABLE_TeuchosCore ON)
set(Intrepid2_ENABLE_TeuchosNumerics ON)
set(Intrepid2_ENABLE_Shards ON)
set(Intrepid2_ENABLE_Kokkos ON)
set(Intrepid2_ENABLE_Sacado ON)
set(Intrepid2_ENABLE_KokkosKernels ON)

# Exported cache variables
set(Intrepid2_ENABLE_DEBUG "OFF")
set(HAVE_INTREPID2_DEBUG "OFF")
set(Intrepid2_ENABLE_DEBUG_INF_CHECK "OFF")
set(HAVE_INTREPID2_DEBUG_INF_CHECK "OFF")

# Include configuration of dependent packages
if (NOT TARGET TeuchosCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosCore/TeuchosCoreConfig.cmake")
endif()
if (NOT TARGET TeuchosNumerics::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosNumerics/TeuchosNumericsConfig.cmake")
endif()
if (NOT TARGET Shards::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Shards/ShardsConfig.cmake")
endif()
if (NOT TARGET Kokkos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Kokkos/KokkosConfig.cmake")
endif()
if (NOT TARGET Sacado::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Sacado/SacadoConfig.cmake")
endif()
if (NOT TARGET KokkosKernels::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../KokkosKernels/KokkosKernelsConfig.cmake")
endif()

# Import Intrepid2 targets
include("${CMAKE_CURRENT_LIST_DIR}/Intrepid2Targets.cmake")

# Standard TriBITS-compliant external package variables
set(Intrepid2_IS_TRIBITS_COMPLIANT TRUE)
set(Intrepid2_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(Intrepid2_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(Intrepid2_EXPORTED_PACKAGE_LIBS_NAMES "intrepid2")

foreach(libname IN LISTS Intrepid2_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE Intrepid2::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'Intrepid2::${libname}', or better yet,"
      " 'Intrepid2::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'Intrepid2'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'Intrepid2_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
