# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/PanzerCore clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "PanzerCore requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/PanzerCore build
## ---------------------------------------------------------------------------

set(PanzerCore_CXX_COMPILER "/usr/bin/c++")

set(PanzerCore_C_COMPILER "/usr/bin/cc")

set(PanzerCore_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(PanzerCore_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/PanzerCore build
## ---------------------------------------------------------------------------

## Give the build type
set(PanzerCore_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(PanzerCore_CXX_FLAGS [[ ]])

set(PanzerCore_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(PanzerCore_Fortran_FLAGS [[ ]])
# Deprecated
set(PanzerCore_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(PanzerCore_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(PanzerCore_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(PanzerCore_BUILD_SHARED_LIBS "ON")

set(PanzerCore_LINKER /usr/bin/ld.lld)
set(PanzerCore_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(PanzerCore_INSTALL_DIR "/usr/local")

## List of package libraries
set(PanzerCore_LIBRARIES PanzerCore::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(PanzerCore_MPI_LIBRARIES "")
set(PanzerCore_MPI_LIBRARY_DIRS "")
set(PanzerCore_MPI_INCLUDE_DIRS "")
set(PanzerCore_MPI_EXEC "")
set(PanzerCore_MPI_EXEC_MAX_NUMPROCS "")
set(PanzerCore_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(PanzerCore_ENABLE_TeuchosCore ON)
set(PanzerCore_ENABLE_TeuchosComm ON)
set(PanzerCore_ENABLE_TeuchosParameterList ON)
set(PanzerCore_ENABLE_TpetraCore ON)

# Exported cache variables
set(Panzer_ENABLE_DEBUG "OFF")
set(PANZER_DEBUG "OFF")
set(Panzer_ENABLE_EXPLICIT_INSTANTIATION "ON")
set(HAVE_PANZER_EXPLICIT_INSTANTIATION "ON")

# Include configuration of dependent packages
if (NOT TARGET TeuchosCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosCore/TeuchosCoreConfig.cmake")
endif()
if (NOT TARGET TeuchosComm::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosComm/TeuchosCommConfig.cmake")
endif()
if (NOT TARGET TeuchosParameterList::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosParameterList/TeuchosParameterListConfig.cmake")
endif()
if (NOT TARGET TpetraCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TpetraCore/TpetraCoreConfig.cmake")
endif()

# Import PanzerCore targets
include("${CMAKE_CURRENT_LIST_DIR}/PanzerCoreTargets.cmake")

# Standard TriBITS-compliant external package variables
set(PanzerCore_IS_TRIBITS_COMPLIANT TRUE)
set(PanzerCore_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(PanzerCore_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(PanzerCore_EXPORTED_PACKAGE_LIBS_NAMES "panzer-core")

foreach(libname IN LISTS PanzerCore_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE PanzerCore::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'PanzerCore::${libname}', or better yet,"
      " 'PanzerCore::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'PanzerCore'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'PanzerCore_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
