# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/STKMath clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "STKMath requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/STKMath build
## ---------------------------------------------------------------------------

set(STKMath_CXX_COMPILER "/usr/bin/c++")

set(STKMath_C_COMPILER "/usr/bin/cc")

set(STKMath_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(STKMath_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/STKMath build
## ---------------------------------------------------------------------------

## Give the build type
set(STKMath_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(STKMath_CXX_FLAGS [[ ]])

set(STKMath_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(STKMath_Fortran_FLAGS [[ ]])
# Deprecated
set(STKMath_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(STKMath_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(STKMath_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(STKMath_BUILD_SHARED_LIBS "ON")

set(STKMath_LINKER /usr/bin/ld.lld)
set(STKMath_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(STKMath_INSTALL_DIR "/usr/local")

## List of package libraries
set(STKMath_LIBRARIES STKMath::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(STKMath_MPI_LIBRARIES "")
set(STKMath_MPI_LIBRARY_DIRS "")
set(STKMath_MPI_INCLUDE_DIRS "")
set(STKMath_MPI_EXEC "")
set(STKMath_MPI_EXEC_MAX_NUMPROCS "")
set(STKMath_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(STKMath_ENABLE_Kokkos ON)
set(STKMath_ENABLE_STKUtil ON)

# Exported cache variables
set(STK_ENABLE_DEBUG "OFF")
set(HAVE_STK_DEBUG "OFF")

# Include configuration of dependent packages
if (NOT TARGET Kokkos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Kokkos/KokkosConfig.cmake")
endif()
if (NOT TARGET STKUtil::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../STKUtil/STKUtilConfig.cmake")
endif()

# Import STKMath targets
include("${CMAKE_CURRENT_LIST_DIR}/STKMathTargets.cmake")

# Standard TriBITS-compliant external package variables
set(STKMath_IS_TRIBITS_COMPLIANT TRUE)
set(STKMath_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(STKMath_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(STKMath_EXPORTED_PACKAGE_LIBS_NAMES "stk_math")

foreach(libname IN LISTS STKMath_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE STKMath::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'STKMath::${libname}', or better yet,"
      " 'STKMath::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'STKMath'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'STKMath_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
