# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/STKPerformance_tests clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "STKPerformance_tests requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/STKPerformance_tests build
## ---------------------------------------------------------------------------

set(STKPerformance_tests_CXX_COMPILER "/usr/bin/c++")

set(STKPerformance_tests_C_COMPILER "/usr/bin/cc")

set(STKPerformance_tests_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(STKPerformance_tests_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/STKPerformance_tests build
## ---------------------------------------------------------------------------

## Give the build type
set(STKPerformance_tests_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(STKPerformance_tests_CXX_FLAGS [[ ]])

set(STKPerformance_tests_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(STKPerformance_tests_Fortran_FLAGS [[ ]])
# Deprecated
set(STKPerformance_tests_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(STKPerformance_tests_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(STKPerformance_tests_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(STKPerformance_tests_BUILD_SHARED_LIBS "ON")

set(STKPerformance_tests_LINKER /usr/bin/ld.lld)
set(STKPerformance_tests_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(STKPerformance_tests_INSTALL_DIR "/usr/local")

## List of package libraries
set(STKPerformance_tests_LIBRARIES STKPerformance_tests::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(STKPerformance_tests_MPI_LIBRARIES "")
set(STKPerformance_tests_MPI_LIBRARY_DIRS "")
set(STKPerformance_tests_MPI_INCLUDE_DIRS "")
set(STKPerformance_tests_MPI_EXEC "")
set(STKPerformance_tests_MPI_EXEC_MAX_NUMPROCS "")
set(STKPerformance_tests_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies

# Exported cache variables
set(STK_ENABLE_DEBUG "OFF")
set(HAVE_STK_DEBUG "OFF")

# Include configuration of dependent packages

# Import STKPerformance_tests targets
include("${CMAKE_CURRENT_LIST_DIR}/STKPerformance_testsTargets.cmake")

# Standard TriBITS-compliant external package variables
set(STKPerformance_tests_IS_TRIBITS_COMPLIANT TRUE)
set(STKPerformance_tests_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(STKPerformance_tests_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(STKPerformance_tests_EXPORTED_PACKAGE_LIBS_NAMES "")

foreach(libname IN LISTS STKPerformance_tests_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE STKPerformance_tests::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'STKPerformance_tests::${libname}', or better yet,"
      " 'STKPerformance_tests::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'STKPerformance_tests'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'STKPerformance_tests_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
