# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/STKUnit_test_utils clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "STKUnit_test_utils requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/STKUnit_test_utils build
## ---------------------------------------------------------------------------

set(STKUnit_test_utils_CXX_COMPILER "/usr/bin/c++")

set(STKUnit_test_utils_C_COMPILER "/usr/bin/cc")

set(STKUnit_test_utils_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(STKUnit_test_utils_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/STKUnit_test_utils build
## ---------------------------------------------------------------------------

## Give the build type
set(STKUnit_test_utils_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(STKUnit_test_utils_CXX_FLAGS [[ ]])

set(STKUnit_test_utils_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(STKUnit_test_utils_Fortran_FLAGS [[ ]])
# Deprecated
set(STKUnit_test_utils_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(STKUnit_test_utils_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(STKUnit_test_utils_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(STKUnit_test_utils_BUILD_SHARED_LIBS "ON")

set(STKUnit_test_utils_LINKER /usr/bin/ld.lld)
set(STKUnit_test_utils_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(STKUnit_test_utils_INSTALL_DIR "/usr/local")

## List of package libraries
set(STKUnit_test_utils_LIBRARIES STKUnit_test_utils::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(STKUnit_test_utils_MPI_LIBRARIES "")
set(STKUnit_test_utils_MPI_LIBRARY_DIRS "")
set(STKUnit_test_utils_MPI_INCLUDE_DIRS "")
set(STKUnit_test_utils_MPI_EXEC "")
set(STKUnit_test_utils_MPI_EXEC_MAX_NUMPROCS "")
set(STKUnit_test_utils_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(STKUnit_test_utils_ENABLE_STKUtil ON)
set(STKUnit_test_utils_ENABLE_STKNGP_TEST ON)
set(STKUnit_test_utils_ENABLE_STKTopology ON)
set(STKUnit_test_utils_ENABLE_STKTransfer OFF)
set(STKUnit_test_utils_ENABLE_STKMesh OFF)
set(STKUnit_test_utils_ENABLE_STKIO OFF)
set(STKUnit_test_utils_ENABLE_STKBalance OFF)
set(STKUnit_test_utils_ENABLE_MPI OFF)

# Exported cache variables
set(STK_ENABLE_DEBUG "OFF")
set(HAVE_STK_DEBUG "OFF")

# Include configuration of dependent packages
if (NOT TARGET STKUtil::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../STKUtil/STKUtilConfig.cmake")
endif()
if (NOT TARGET STKNGP_TEST::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../STKNGP_TEST/STKNGP_TESTConfig.cmake")
endif()
if (NOT TARGET STKTopology::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../STKTopology/STKTopologyConfig.cmake")
endif()

# Import STKUnit_test_utils targets
include("${CMAKE_CURRENT_LIST_DIR}/STKUnit_test_utilsTargets.cmake")

# Standard TriBITS-compliant external package variables
set(STKUnit_test_utils_IS_TRIBITS_COMPLIANT TRUE)
set(STKUnit_test_utils_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(STKUnit_test_utils_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(STKUnit_test_utils_EXPORTED_PACKAGE_LIBS_NAMES "stk_unit_test_utils")

foreach(libname IN LISTS STKUnit_test_utils_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE STKUnit_test_utils::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'STKUnit_test_utils::${libname}', or better yet,"
      " 'STKUnit_test_utils::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'STKUnit_test_utils'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'STKUnit_test_utils_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
