# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/STKUtil clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "STKUtil requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/STKUtil build
## ---------------------------------------------------------------------------

set(STKUtil_CXX_COMPILER "/usr/bin/c++")

set(STKUtil_C_COMPILER "/usr/bin/cc")

set(STKUtil_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(STKUtil_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/STKUtil build
## ---------------------------------------------------------------------------

## Give the build type
set(STKUtil_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(STKUtil_CXX_FLAGS [[ ]])

set(STKUtil_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(STKUtil_Fortran_FLAGS [[ ]])
# Deprecated
set(STKUtil_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(STKUtil_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(STKUtil_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(STKUtil_BUILD_SHARED_LIBS "ON")

set(STKUtil_LINKER /usr/bin/ld.lld)
set(STKUtil_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(STKUtil_INSTALL_DIR "/usr/local")

## List of package libraries
set(STKUtil_LIBRARIES STKUtil::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(STKUtil_MPI_LIBRARIES "")
set(STKUtil_MPI_LIBRARY_DIRS "")
set(STKUtil_MPI_INCLUDE_DIRS "")
set(STKUtil_MPI_EXEC "")
set(STKUtil_MPI_EXEC_MAX_NUMPROCS "")
set(STKUtil_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(STKUtil_ENABLE_Kokkos ON)
set(STKUtil_ENABLE_SEACASAprepro_lib OFF)
set(STKUtil_ENABLE_Boost OFF)
set(STKUtil_ENABLE_MPI OFF)

# Exported cache variables
set(STK_ENABLE_DEBUG "OFF")
set(HAVE_STK_DEBUG "OFF")

# Include configuration of dependent packages
if (NOT TARGET Kokkos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Kokkos/KokkosConfig.cmake")
endif()

# Import STKUtil targets
include("${CMAKE_CURRENT_LIST_DIR}/STKUtilTargets.cmake")

# Standard TriBITS-compliant external package variables
set(STKUtil_IS_TRIBITS_COMPLIANT TRUE)
set(STKUtil_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(STKUtil_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(STKUtil_EXPORTED_PACKAGE_LIBS_NAMES "stk_util_util;stk_util_parallel;stk_util_env;stk_util_registry;stk_util_diag;stk_util_command_line")

foreach(libname IN LISTS STKUtil_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE STKUtil::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'STKUtil::${libname}', or better yet,"
      " 'STKUtil::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'STKUtil'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'STKUtil_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
