# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/Stratimikos clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "Stratimikos requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/Stratimikos build
## ---------------------------------------------------------------------------

set(Stratimikos_CXX_COMPILER "/usr/bin/c++")

set(Stratimikos_C_COMPILER "/usr/bin/cc")

set(Stratimikos_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(Stratimikos_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/Stratimikos build
## ---------------------------------------------------------------------------

## Give the build type
set(Stratimikos_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(Stratimikos_CXX_FLAGS [[ ]])

set(Stratimikos_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(Stratimikos_Fortran_FLAGS [[ ]])
# Deprecated
set(Stratimikos_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(Stratimikos_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(Stratimikos_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(Stratimikos_BUILD_SHARED_LIBS "ON")

set(Stratimikos_LINKER /usr/bin/ld.lld)
set(Stratimikos_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(Stratimikos_INSTALL_DIR "/usr/local")

## List of package libraries
set(Stratimikos_LIBRARIES Stratimikos::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(Stratimikos_MPI_LIBRARIES "")
set(Stratimikos_MPI_LIBRARY_DIRS "")
set(Stratimikos_MPI_INCLUDE_DIRS "")
set(Stratimikos_MPI_EXEC "")
set(Stratimikos_MPI_EXEC_MAX_NUMPROCS "")
set(Stratimikos_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(Stratimikos_ENABLE_ThyraCore ON)
set(Stratimikos_ENABLE_Amesos ON)
set(Stratimikos_ENABLE_Amesos2 ON)
set(Stratimikos_ENABLE_AztecOO ON)
set(Stratimikos_ENABLE_Belos ON)
set(Stratimikos_ENABLE_Ifpack ON)
set(Stratimikos_ENABLE_Ifpack2 ON)
set(Stratimikos_ENABLE_ML OFF)
set(Stratimikos_ENABLE_EpetraExt ON)
set(Stratimikos_ENABLE_ThyraEpetraAdapters OFF)
set(Stratimikos_ENABLE_ThyraTpetraAdapters ON)

# Exported cache variables
set(Stratimikos_Belos_Timers "ON")
set(HAVE_STRATIMIKOS_BELOS_TIMERS "ON")
set(Stratimikos_ENABLE_EXPLICIT_INSTANTIATION "ON")
set(HAVE_STRATIMIKOS_EXPLICIT_INSTANTIATION "ON")

# Include configuration of dependent packages
if (NOT TARGET ThyraCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ThyraCore/ThyraCoreConfig.cmake")
endif()
if (NOT TARGET Amesos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Amesos/AmesosConfig.cmake")
endif()
if (NOT TARGET Amesos2::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Amesos2/Amesos2Config.cmake")
endif()
if (NOT TARGET AztecOO::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../AztecOO/AztecOOConfig.cmake")
endif()
if (NOT TARGET Belos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Belos/BelosConfig.cmake")
endif()
if (NOT TARGET Ifpack::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Ifpack/IfpackConfig.cmake")
endif()
if (NOT TARGET Ifpack2::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Ifpack2/Ifpack2Config.cmake")
endif()
if (NOT TARGET EpetraExt::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../EpetraExt/EpetraExtConfig.cmake")
endif()
if (NOT TARGET ThyraTpetraAdapters::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ThyraTpetraAdapters/ThyraTpetraAdaptersConfig.cmake")
endif()

# Import Stratimikos targets
include("${CMAKE_CURRENT_LIST_DIR}/StratimikosTargets.cmake")

# Standard TriBITS-compliant external package variables
set(Stratimikos_IS_TRIBITS_COMPLIANT TRUE)
set(Stratimikos_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(Stratimikos_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(Stratimikos_EXPORTED_PACKAGE_LIBS_NAMES "stratimikosamesos2;stratimikosbelos;stratimikos")

foreach(libname IN LISTS Stratimikos_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE Stratimikos::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'Stratimikos::${libname}', or better yet,"
      " 'Stratimikos::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'Stratimikos'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'Stratimikos_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
