# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosBuildStats clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TrilinosBuildStats requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosBuildStats build
## ---------------------------------------------------------------------------

set(TrilinosBuildStats_CXX_COMPILER "/usr/bin/c++")

set(TrilinosBuildStats_C_COMPILER "/usr/bin/cc")

set(TrilinosBuildStats_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(TrilinosBuildStats_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosBuildStats build
## ---------------------------------------------------------------------------

## Give the build type
set(TrilinosBuildStats_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(TrilinosBuildStats_CXX_FLAGS [[ ]])

set(TrilinosBuildStats_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(TrilinosBuildStats_Fortran_FLAGS [[ ]])
# Deprecated
set(TrilinosBuildStats_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TrilinosBuildStats_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TrilinosBuildStats_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(TrilinosBuildStats_BUILD_SHARED_LIBS "ON")

set(TrilinosBuildStats_LINKER /usr/bin/ld.lld)
set(TrilinosBuildStats_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TrilinosBuildStats_INSTALL_DIR "/usr/local")

## List of package libraries
set(TrilinosBuildStats_LIBRARIES TrilinosBuildStats::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TrilinosBuildStats_MPI_LIBRARIES "")
set(TrilinosBuildStats_MPI_LIBRARY_DIRS "")
set(TrilinosBuildStats_MPI_INCLUDE_DIRS "")
set(TrilinosBuildStats_MPI_EXEC "")
set(TrilinosBuildStats_MPI_EXEC_MAX_NUMPROCS "")
set(TrilinosBuildStats_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies

# Exported cache variables

# Include configuration of dependent packages

# Import TrilinosBuildStats targets
include("${CMAKE_CURRENT_LIST_DIR}/TrilinosBuildStatsTargets.cmake")

# Standard TriBITS-compliant external package variables
set(TrilinosBuildStats_IS_TRIBITS_COMPLIANT TRUE)
set(TrilinosBuildStats_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(TrilinosBuildStats_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TrilinosBuildStats_EXPORTED_PACKAGE_LIBS_NAMES "")

foreach(libname IN LISTS TrilinosBuildStats_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TrilinosBuildStats::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TrilinosBuildStats::${libname}', or better yet,"
      " 'TrilinosBuildStats::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TrilinosBuildStats'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TrilinosBuildStats_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
