# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/Zoltan2 clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "Zoltan2 requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/Zoltan2 build
## ---------------------------------------------------------------------------

set(Zoltan2_CXX_COMPILER "/usr/bin/c++")

set(Zoltan2_C_COMPILER "/usr/bin/cc")

set(Zoltan2_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(Zoltan2_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/Zoltan2 build
## ---------------------------------------------------------------------------

## Give the build type
set(Zoltan2_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(Zoltan2_CXX_FLAGS [[ ]])

set(Zoltan2_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing ]])

set(Zoltan2_Fortran_FLAGS [[ ]])
# Deprecated
set(Zoltan2_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(Zoltan2_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(Zoltan2_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(Zoltan2_BUILD_SHARED_LIBS "ON")

set(Zoltan2_LINKER /usr/bin/ld.lld)
set(Zoltan2_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(Zoltan2_INSTALL_DIR "/usr/local")

## List of package libraries
set(Zoltan2_LIBRARIES Zoltan2::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(Zoltan2_MPI_LIBRARIES "")
set(Zoltan2_MPI_LIBRARY_DIRS "")
set(Zoltan2_MPI_INCLUDE_DIRS "")
set(Zoltan2_MPI_EXEC "")
set(Zoltan2_MPI_EXEC_MAX_NUMPROCS "")
set(Zoltan2_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(Zoltan2_ENABLE_Zoltan2Core ON)
set(Zoltan2_ENABLE_Zoltan2Sphynx ON)

# Exported cache variables

# Include configuration of dependent packages
if (NOT TARGET Zoltan2Core::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Zoltan2Core/Zoltan2CoreConfig.cmake")
endif()
if (NOT TARGET Zoltan2Sphynx::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Zoltan2Sphynx/Zoltan2SphynxConfig.cmake")
endif()

# Import Zoltan2 targets
include("${CMAKE_CURRENT_LIST_DIR}/Zoltan2Targets.cmake")

# Standard TriBITS-compliant external package variables
set(Zoltan2_IS_TRIBITS_COMPLIANT TRUE)
set(Zoltan2_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(Zoltan2_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(Zoltan2_EXPORTED_PACKAGE_LIBS_NAMES "")

foreach(libname IN LISTS Zoltan2_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE Zoltan2::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'Zoltan2::${libname}', or better yet,"
      " 'Zoltan2::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'Zoltan2'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'Zoltan2_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
